<footer>
  <div class="container">
    <div class="row">
      <div class="col-lg">
        <ul class="list-inline">
          {% if site.email %}
            <li class="list-inline-item">
              <a href="mailto:{{ site.email }}">
                <span class="fa-stack fa-lg">
                  <i class="fa fa-circle fa-stack-2x"></i>
                  <i class="fa fa-envelope-o fa-stack-1x fa-inverse"></i>
                </span>
              </a>
            </li>
          {% endif %}

          {% if site.twitter_username %}
            <li class="list-inline-item">
              <a href="https://twitter.com/{{ site.twitter_username }}">
                <span class="fa-stack fa-lg">
                  <i class="fa fa-circle fa-stack-2x"></i>
                  <i class="fa fa-twitter fa-stack-1x fa-inverse"></i>
                </span>
              </a>
            </li>
          {% endif %}

          {% if site.github_username %}
            <li class="list-inline-item">
              <a href="https://gitlab.com/{{ site.github_username }}">
                <span class="fa-stack fa-lg">
                  <i class="fa fa-circle fa-stack-2x"></i>
                  <i class="fa fa-github fa-stack-1x fa-inverse"></i>
                </span>
              </a>
            </li>
          {% endif %}
        </ul>
      </div>

      {% for col in site.data.footer.columns %}
      <div class="col-lg">
        {{ col.description | markdownify }}

        {% if col.links %}
          <ul class="fa-ul">
          {% for item in col.links %}
            <li>
              <i class="fa-li fa fa-chevron-circle-right"></i>
              <a href="{{ item.href | relative_url}}" {% if item.new_window %}target="_blank"{% endif %}>{{ item.text }}</a>
            </li>
          {% endfor %}
          </ul>
        {% endif %}

      </div>
      {% endfor %}
    </div>

    <div class="small mt-2">
      {% if site.author %}
        <p>© {{ site.author }}</p>
      {% endif %}
      {% if site.data.footer.license %}
        {{ site.data.footer.license | markdownify }}
      {% endif %}
    </div>
  </div>
</footer>

<script src="{{ '/assets/theme/js/jquery.min.js' | relative_url }}"></script>
<script src="{{ '/assets/theme/js/popper.min.js' | relative_url }}"></script>
<script src="{{ '/assets/theme/js/bootstrap.min.js' | relative_url }}"></script>
<script src="{{ '/assets/theme/js/anchor.min.js' | relative_url }}"></script>

<script>
  // Show anchors when hovering over headings, using anchor.js
  (function () {
    const headings = ".content h2[id], .content h3[id], .content h4[id], .content h5[id], .content h6[id]";
    anchors.options = { placement: "right" };
    anchors.add(headings);
  })();
</script>

{% if page.layout == 'archive' %}
<script>
  // Filter cards on ?category=value
  $(document).ready(function() {
    const urlParams = new URLSearchParams(window.location.search);
    
    if (urlParams.has("category") && urlParams.get("category") != "") {
      const category = urlParams.get("category"); // Will return 1st category value + decode URI
      const cleanCategory = $.trim(category.toLowerCase()); // Create category as written in .card data-categories
      
      $(".card").each(function() {
        const cardCategories = $(this).data("categories").split("|");
        // Hide card if it does not contain the selected category
        if (!cardCategories.includes(cleanCategory)) {
          $(this).parent().addClass("d-none");
        }
      });

      $(".jumbotron .categories").append(
        '<a class="badge badge-pill" href="{{ site.archive_permalink | relative_url }}">' + 
        category + '<span class="close">&times;</span>' + 
        '</a>'
      );
    }
  });
</script>
{% endif %}

<script type="text/javascript" src="{{ '/assets/theme/js/lightbox.js' | relative_url }}"></script>
<link rel="stylesheet" href="{{ '/assets/theme/css/lightbox.css' | relative_url }}">
